﻿@using Task23_EPAM.Helpers
@{
	ViewBag.Title = "Анкета";
	ViewBag.Countries = new List<string> { "Украина", "Россия", "Беларусь" };
}

<h2>@ViewBag.Title</h2>
@using (Html.BeginForm("QuestionaryIndex", "Questionary", FormMethod.Post))
{
	<div class="form-group">
		@Html.Label("firstName", "Введите имя")
		@Html.TextBox("firstName", "", new { @class = "form-control", @required = "" })
	</div>
	<div class="form-group">
		@Html.Label("lastName", "Введите фамилию")
		@Html.TextBox("lastName", "", new { @class = "form-control" })
	</div>
	<div class="form-group">
		@Html.Label("", "Выберите пол")
		<div class="form-check">
			@Html.RadioButton("sex", "man", new { @class = "form-check-input" })
			@Html.Label("man", "M")
		</div>
		<div class="form-check">
			@Html.RadioButton("sex", "woman", new { @class = "form-check-input" })
			@Html.Label("woman", "Ж")
		</div>
	</div>
	<div class="form-group">
		@Html.CreateSelectList(ViewBag.Countries as List<string>, "Выберите страну", new { @id = "selectCountry", @name = "selectCountry", @class="form-control" })
	</div>
	<button type="submit" class="btn btn-primary">Отправить</button>
}

@if (TempData["firstName"] != null)
{
	<h4>Информация с анкеты</h4>
	<ul class="list-group">
		<li class="list-group-item">Имя: @TempData["firstName"]</li>
		<li class="list-group-item">Фамилия: @TempData["lastName"]</li>
		<li class="list-group-item">Пол: @TempData["sex"]</li>
		<li class="list-group-item">Гражданство: @TempData["selectCountry"]</li>
	</ul>
}
